<html>
<head>
<title>Ogre::HashedVector&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::HashedVector&lt; T &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::HashedVector" -->
<p>A hashed vector.  
 <a href="classOgre_1_1HashedVector.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&gt;</code></p>

<p><a href="classOgre_1_1HashedVector-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::vector&lt; T, <br class="typebreak"/>
<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; T, <br class="typebreak"/>
<a class="el" href="namespaceOgre.html#ad4ca7bb13f62006a192960fda3b0151e">GeneralAllocPolicy</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a424ccf9cdafb55c00df022b9d8460750">VectorImpl</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::value_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a3f4e73221e49df80e2ec1c531fe6916d">value_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ace139bbc4ce2c45d0102edea246468a4">pointer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::reference&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::const_reference&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::size_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::difference_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a576ba91ab5ef4d1623fb71d1925518b4">difference_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef VectorImpl::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#aba664c4d307e5dd9ac7ba03252fbe167">const_iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
VectorImpl::reverse_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a96a361e91069936d53fb954b07acf424">reverse_iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
VectorImpl::const_reverse_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a89ddf073b6f26e4ef2f035ae134a4792">const_reverse_iterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a8f2b47f9b8b8a9c6d656710b1a180534">dirtyHash</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a239d90d8bbcdd5da9ce44f2c479983fb">isHashDirty</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a126b57c573ec7654ed6a848ff6818303">begin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a4c557ff148491776fd9c89aa7d55eed4">end</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#aba664c4d307e5dd9ac7ba03252fbe167">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a066d2db0fffd8d9c09f5abb8baaf0e6f">begin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#aba664c4d307e5dd9ac7ba03252fbe167">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ae5f51fc0a7d8ba6cb4d38103d4473476">end</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a96a361e91069936d53fb954b07acf424">reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a7bce578eb8c797a17f9cc05a6af40473">rbegin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a96a361e91069936d53fb954b07acf424">reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a1ae2dca4d5b82a3c011c81da8f14bcc3">rend</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a89ddf073b6f26e4ef2f035ae134a4792">const_reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a13bf766dd7f61f12ceaca357365dcf31">rbegin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a89ddf073b6f26e4ef2f035ae134a4792">const_reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#aefa3397bce39a36255c9a0001935d391">rend</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a165de914f7e02e22b2e19936a7d9c317">size</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#aec59dd68bdbcd2c3c89b85f397214575">max_size</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#af186ec9557e28422de1a5e18482b1f6d">capacity</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a10672e0667b265fa1fbf8a0b5b1f8f95">empty</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a9120055a62efa71e25268f3af49aaac6">operator[]</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ac3ed03bab08ae77353ab97b24fa93ec8">operator[]</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ad0c2cbcf91d469bb12ef2907e1c053de">at</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a1d0cc37c978f88306a9990369b2fe8a2">at</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a872c867036dd05bd1d85ad690a355396">HashedVector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#aa48ea0c4375e6d83e286824e891603c4">HashedVector</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a9700cee4608a9bd76c872c156fb06ba6">HashedVector</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n, const T &amp;t)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a27d63b7efd2f5df731fd837f541c3a15">HashedVector</a> (const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;rhs)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;class InputIterator &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a6187b3f38bcafac9fdb8526e017083b6">HashedVector</a> (InputIterator a, InputIterator b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a026e68fffa283192435e5bbdfb84ec9a">~HashedVector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#aef2c968d6705c0fdd5f50a70983e8314">operator=</a> (const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a721948863a05cde23ecb73fdf166e013">reserve</a> (size_t t)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ae58c9b49af378fbedd6c717369435135">front</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a1575546195f12629c3d0e6a26a6811a4">front</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a727f682183cdf3c878e8d36d63cbecb8">back</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ac5337a8cf3a39b799615e92c4e6d84d3">back</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a87bfcde773502ee964a677580724188f">push_back</a> (const T &amp;t)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a884968bcafa294366be0cfd90fb677f6">pop_back</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a94a96f377cf087f781d1e1ff9b73d2f5">swap</a> (<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a48e330da70c4af1d72e23070dea24a2e">insert</a> (<a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> pos, const T &amp;t)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;class InputIterator &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ae7fdb654452068fba22b734e095e99c4">insert</a> (<a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> pos, InputIterator f, InputIterator l)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a5dacfefaa1717baf51697a3ef42102e0">insert</a> (<a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> pos, <a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n, const T &amp;x)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a48cfce70d045598aae0d826dfe476730">erase</a> (<a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a848b1ab3c5a8e524840461c38d50f1f6">erase</a> (<a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> first, <a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> last)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a6995fdfb17173f0ac21ef581dad47d7d">clear</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ac47cb9541d822b017804c828a13d961c">resize</a> (<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> n, const T &amp;t=T())</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ac0511ced14665359e65d2fc13215e748">operator==</a> (const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a1fef36de46568409f0f342a8ca3b313b">operator&lt;</a> (const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a6688ef6000be1efa9ee95c3f8a5a67a8">getHash</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the hash value.  <a href="#a6688ef6000be1efa9ee95c3f8a5a67a8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a77c689743ccfd7414db43e03f7806770">addToHash</a> (const T &amp;newPtr) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a7c5333085b791e4cdc7dd43f728e9ac7">recalcHash</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HashedVector.html#a424ccf9cdafb55c00df022b9d8460750">VectorImpl</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#ace2667f94bbab8d07d4892628a2e054d">mList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a92d90cc3beef01b845e6e5ce4ac73723">mListHash</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HashedVector.html#a5085aaa99d8ced5631a4861c0e95b0a6">mListHashDirty</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
class Ogre::HashedVector&lt; T &gt;</h3>

<p>A hashed vector. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00333">333</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="aba664c4d307e5dd9ac7ba03252fbe167"></a><!-- doxytag: member="Ogre::HashedVector::const_iterator" ref="aba664c4d307e5dd9ac7ba03252fbe167" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::const_iterator <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#aba664c4d307e5dd9ac7ba03252fbe167">const_iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00363">363</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa0b7d89231b3ebf5944562ef7db7d83b"></a><!-- doxytag: member="Ogre::HashedVector::const_reference" ref="aa0b7d89231b3ebf5944562ef7db7d83b" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::const_reference <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00359">359</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a89ddf073b6f26e4ef2f035ae134a4792"></a><!-- doxytag: member="Ogre::HashedVector::const_reverse_iterator" ref="a89ddf073b6f26e4ef2f035ae134a4792" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::const_reverse_iterator <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a89ddf073b6f26e4ef2f035ae134a4792">const_reverse_iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00365">365</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a576ba91ab5ef4d1623fb71d1925518b4"></a><!-- doxytag: member="Ogre::HashedVector::difference_type" ref="a576ba91ab5ef4d1623fb71d1925518b4" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::difference_type <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a576ba91ab5ef4d1623fb71d1925518b4">difference_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00361">361</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9e1f2a609eb5a7be9cc3d51b49f755df"></a><!-- doxytag: member="Ogre::HashedVector::iterator" ref="a9e1f2a609eb5a7be9cc3d51b49f755df" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::iterator <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00362">362</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ace139bbc4ce2c45d0102edea246468a4"></a><!-- doxytag: member="Ogre::HashedVector::pointer" ref="ace139bbc4ce2c45d0102edea246468a4" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::pointer <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ace139bbc4ce2c45d0102edea246468a4">pointer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00357">357</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3ad011d104e03019a4e9b9840439ef17"></a><!-- doxytag: member="Ogre::HashedVector::reference" ref="a3ad011d104e03019a4e9b9840439ef17" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::reference <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00358">358</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a96a361e91069936d53fb954b07acf424"></a><!-- doxytag: member="Ogre::HashedVector::reverse_iterator" ref="a96a361e91069936d53fb954b07acf424" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::reverse_iterator <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a96a361e91069936d53fb954b07acf424">reverse_iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00364">364</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="af0b04cbf9823c57128855d112f3581e4"></a><!-- doxytag: member="Ogre::HashedVector::size_type" ref="af0b04cbf9823c57128855d112f3581e4" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::size_type <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00360">360</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f4e73221e49df80e2ec1c531fe6916d"></a><!-- doxytag: member="Ogre::HashedVector::value_type" ref="a3f4e73221e49df80e2ec1c531fe6916d" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef VectorImpl::value_type <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a3f4e73221e49df80e2ec1c531fe6916d">value_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00356">356</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a424ccf9cdafb55c00df022b9d8460750"></a><!-- doxytag: member="Ogre::HashedVector::VectorImpl" ref="a424ccf9cdafb55c00df022b9d8460750" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;T, <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt;T, <a class="el" href="namespaceOgre.html#ad4ca7bb13f62006a192960fda3b0151e">GeneralAllocPolicy</a>&gt; &gt; <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a424ccf9cdafb55c00df022b9d8460750">VectorImpl</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00336">336</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a872c867036dd05bd1d85ad690a355396"></a><!-- doxytag: member="Ogre::HashedVector::HashedVector" ref="a872c867036dd05bd1d85ad690a355396" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00412">412</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa48ea0c4375e6d83e286824e891603c4"></a><!-- doxytag: member="Ogre::HashedVector::HashedVector" ref="aa48ea0c4375e6d83e286824e891603c4" args="(size_type n)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00413">413</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9700cee4608a9bd76c872c156fb06ba6"></a><!-- doxytag: member="Ogre::HashedVector::HashedVector" ref="a9700cee4608a9bd76c872c156fb06ba6" args="(size_type n, const T &amp;t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>t</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00414">414</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a27d63b7efd2f5df731fd837f541c3a15"></a><!-- doxytag: member="Ogre::HashedVector::HashedVector" ref="a27d63b7efd2f5df731fd837f541c3a15" args="(const HashedVector&lt; T &gt; &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00415">415</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6187b3f38bcafac9fdb8526e017083b6"></a><!-- doxytag: member="Ogre::HashedVector::HashedVector" ref="a6187b3f38bcafac9fdb8526e017083b6" args="(InputIterator a, InputIterator b)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<div class="memtemplate">
template&lt;class InputIterator &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a> </td>
          <td>(</td>
          <td class="paramtype">InputIterator&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">InputIterator&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00419">419</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a026e68fffa283192435e5bbdfb84ec9a"></a><!-- doxytag: member="Ogre::HashedVector::~HashedVector" ref="a026e68fffa283192435e5bbdfb84ec9a" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::~<a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00425">425</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a77c689743ccfd7414db43e03f7806770"></a><!-- doxytag: member="Ogre::HashedVector::addToHash" ref="a77c689743ccfd7414db43e03f7806770" args="(const T &amp;newPtr) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a77c689743ccfd7414db43e03f7806770">addToHash</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>newPtr</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00342">342</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00466">Ogre::HashedVector&lt; Light * &gt;::insert()</a>, <a class="el" href="OgreCommon_8h_source.html#l00449">Ogre::HashedVector&lt; Light * &gt;::push_back()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00346">Ogre::HashedVector&lt; Light * &gt;::recalcHash()</a>.</p>

</div>
</div>
<a class="anchor" id="ad0c2cbcf91d469bb12ef2907e1c053de"></a><!-- doxytag: member="Ogre::HashedVector::at" ref="ad0c2cbcf91d469bb12ef2907e1c053de" args="(size_type n)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ad0c2cbcf91d469bb12ef2907e1c053de">at</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00405">405</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1d0cc37c978f88306a9990369b2fe8a2"></a><!-- doxytag: member="Ogre::HashedVector::at" ref="a1d0cc37c978f88306a9990369b2fe8a2" args="(size_type n) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ad0c2cbcf91d469bb12ef2907e1c053de">at</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00411">411</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a727f682183cdf3c878e8d36d63cbecb8"></a><!-- doxytag: member="Ogre::HashedVector::back" ref="a727f682183cdf3c878e8d36d63cbecb8" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a727f682183cdf3c878e8d36d63cbecb8">back</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00442">442</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac5337a8cf3a39b799615e92c4e6d84d3"></a><!-- doxytag: member="Ogre::HashedVector::back" ref="ac5337a8cf3a39b799615e92c4e6d84d3" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a727f682183cdf3c878e8d36d63cbecb8">back</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00448">448</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a126b57c573ec7654ed6a848ff6818303"></a><!-- doxytag: member="Ogre::HashedVector::begin" ref="a126b57c573ec7654ed6a848ff6818303" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a126b57c573ec7654ed6a848ff6818303">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00376">376</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a066d2db0fffd8d9c09f5abb8baaf0e6f"></a><!-- doxytag: member="Ogre::HashedVector::begin" ref="a066d2db0fffd8d9c09f5abb8baaf0e6f" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#aba664c4d307e5dd9ac7ba03252fbe167">const_iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a126b57c573ec7654ed6a848ff6818303">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00383">383</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="af186ec9557e28422de1a5e18482b1f6d"></a><!-- doxytag: member="Ogre::HashedVector::capacity" ref="af186ec9557e28422de1a5e18482b1f6d" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#af186ec9557e28422de1a5e18482b1f6d">capacity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00396">396</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6995fdfb17173f0ac21ef581dad47d7d"></a><!-- doxytag: member="Ogre::HashedVector::clear" ref="a6995fdfb17173f0ac21ef581dad47d7d" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a6995fdfb17173f0ac21ef581dad47d7d">clear</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00503">503</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8f2b47f9b8b8a9c6d656710b1a180534"></a><!-- doxytag: member="Ogre::HashedVector::dirtyHash" ref="a8f2b47f9b8b8a9c6d656710b1a180534" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a8f2b47f9b8b8a9c6d656710b1a180534">dirtyHash</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00367">367</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00405">Ogre::HashedVector&lt; Light * &gt;::at()</a>, <a class="el" href="OgreCommon_8h_source.html#l00442">Ogre::HashedVector&lt; Light * &gt;::back()</a>, <a class="el" href="OgreCommon_8h_source.html#l00376">Ogre::HashedVector&lt; Light * &gt;::begin()</a>, <a class="el" href="OgreCommon_8h_source.html#l00491">Ogre::HashedVector&lt; Light * &gt;::erase()</a>, <a class="el" href="OgreCommon_8h_source.html#l00435">Ogre::HashedVector&lt; Light * &gt;::front()</a>, <a class="el" href="OgreCommon_8h_source.html#l00419">Ogre::HashedVector&lt; Light * &gt;::HashedVector()</a>, <a class="el" href="OgreCommon_8h_source.html#l00466">Ogre::HashedVector&lt; Light * &gt;::insert()</a>, <a class="el" href="OgreCommon_8h_source.html#l00398">Ogre::HashedVector&lt; Light * &gt;::operator[]()</a>, <a class="el" href="OgreCommon_8h_source.html#l00456">Ogre::HashedVector&lt; Light * &gt;::pop_back()</a>, <a class="el" href="OgreCommon_8h_source.html#l00385">Ogre::HashedVector&lt; Light * &gt;::rbegin()</a>, <a class="el" href="OgreCommon_8h_source.html#l00510">Ogre::HashedVector&lt; Light * &gt;::resize()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00461">Ogre::HashedVector&lt; Light * &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="a10672e0667b265fa1fbf8a0b5b1f8f95"></a><!-- doxytag: member="Ogre::HashedVector::empty" ref="a10672e0667b265fa1fbf8a0b5b1f8f95" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a10672e0667b265fa1fbf8a0b5b1f8f95">empty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00397">397</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4c557ff148491776fd9c89aa7d55eed4"></a><!-- doxytag: member="Ogre::HashedVector::end" ref="a4c557ff148491776fd9c89aa7d55eed4" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a4c557ff148491776fd9c89aa7d55eed4">end</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00382">382</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00466">Ogre::HashedVector&lt; Light * &gt;::insert()</a>.</p>

</div>
</div>
<a class="anchor" id="ae5f51fc0a7d8ba6cb4d38103d4473476"></a><!-- doxytag: member="Ogre::HashedVector::end" ref="ae5f51fc0a7d8ba6cb4d38103d4473476" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#aba664c4d307e5dd9ac7ba03252fbe167">const_iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a4c557ff148491776fd9c89aa7d55eed4">end</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00384">384</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a48cfce70d045598aae0d826dfe476730"></a><!-- doxytag: member="Ogre::HashedVector::erase" ref="a48cfce70d045598aae0d826dfe476730" args="(iterator pos)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a48cfce70d045598aae0d826dfe476730">erase</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00491">491</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a848b1ab3c5a8e524840461c38d50f1f6"></a><!-- doxytag: member="Ogre::HashedVector::erase" ref="a848b1ab3c5a8e524840461c38d50f1f6" args="(iterator first, iterator last)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a48cfce70d045598aae0d826dfe476730">erase</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td>
          <td class="paramname"><em>first</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td>
          <td class="paramname"><em>last</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00497">497</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae58c9b49af378fbedd6c717369435135"></a><!-- doxytag: member="Ogre::HashedVector::front" ref="ae58c9b49af378fbedd6c717369435135" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ae58c9b49af378fbedd6c717369435135">front</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00435">435</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1575546195f12629c3d0e6a26a6811a4"></a><!-- doxytag: member="Ogre::HashedVector::front" ref="a1575546195f12629c3d0e6a26a6811a4" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ae58c9b49af378fbedd6c717369435135">front</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00441">441</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6688ef6000be1efa9ee95c3f8a5a67a8"></a><!-- doxytag: member="Ogre::HashedVector::getHash" ref="a6688ef6000be1efa9ee95c3f8a5a67a8" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a6688ef6000be1efa9ee95c3f8a5a67a8">getHash</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the hash value. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00529">529</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a48e330da70c4af1d72e23070dea24a2e"></a><!-- doxytag: member="Ogre::HashedVector::insert" ref="a48e330da70c4af1d72e23070dea24a2e" args="(iterator pos, const T &amp;t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a48e330da70c4af1d72e23070dea24a2e">insert</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>t</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00466">466</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae7fdb654452068fba22b734e095e99c4"></a><!-- doxytag: member="Ogre::HashedVector::insert" ref="ae7fdb654452068fba22b734e095e99c4" args="(iterator pos, InputIterator f, InputIterator l)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<div class="memtemplate">
template&lt;class InputIterator &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a48e330da70c4af1d72e23070dea24a2e">insert</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">InputIterator&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">InputIterator&#160;</td>
          <td class="paramname"><em>l</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00478">478</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5dacfefaa1717baf51697a3ef42102e0"></a><!-- doxytag: member="Ogre::HashedVector::insert" ref="a5dacfefaa1717baf51697a3ef42102e0" args="(iterator pos, size_type n, const T &amp;x)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a48e330da70c4af1d72e23070dea24a2e">insert</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">iterator</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>x</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00485">485</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a239d90d8bbcdd5da9ce44f2c479983fb"></a><!-- doxytag: member="Ogre::HashedVector::isHashDirty" ref="a239d90d8bbcdd5da9ce44f2c479983fb" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a239d90d8bbcdd5da9ce44f2c479983fb">isHashDirty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00371">371</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00529">Ogre::HashedVector&lt; Light * &gt;::getHash()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00449">Ogre::HashedVector&lt; Light * &gt;::push_back()</a>.</p>

</div>
</div>
<a class="anchor" id="aec59dd68bdbcd2c3c89b85f397214575"></a><!-- doxytag: member="Ogre::HashedVector::max_size" ref="aec59dd68bdbcd2c3c89b85f397214575" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#aec59dd68bdbcd2c3c89b85f397214575">max_size</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00395">395</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1fef36de46568409f0f342a8ca3b313b"></a><!-- doxytag: member="Ogre::HashedVector::operator&lt;" ref="a1fef36de46568409f0f342a8ca3b313b" args="(const HashedVector&lt; T &gt; &amp;b)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00524">524</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="aef2c968d6705c0fdd5f50a70983e8314"></a><!-- doxytag: member="Ogre::HashedVector::operator=" ref="aef2c968d6705c0fdd5f50a70983e8314" args="(const HashedVector&lt; T &gt; &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt;T&gt;&amp; <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00426">426</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac0511ced14665359e65d2fc13215e748"></a><!-- doxytag: member="Ogre::HashedVector::operator==" ref="ac0511ced14665359e65d2fc13215e748" args="(const HashedVector&lt; T &gt; &amp;b)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00521">521</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9120055a62efa71e25268f3af49aaac6"></a><!-- doxytag: member="Ogre::HashedVector::operator[]" ref="a9120055a62efa71e25268f3af49aaac6" args="(size_type n)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a3ad011d104e03019a4e9b9840439ef17">reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00398">398</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac3ed03bab08ae77353ab97b24fa93ec8"></a><!-- doxytag: member="Ogre::HashedVector::operator[]" ref="ac3ed03bab08ae77353ab97b24fa93ec8" args="(size_type n) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#aa0b7d89231b3ebf5944562ef7db7d83b">const_reference</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00404">404</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a884968bcafa294366be0cfd90fb677f6"></a><!-- doxytag: member="Ogre::HashedVector::pop_back" ref="a884968bcafa294366be0cfd90fb677f6" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a884968bcafa294366be0cfd90fb677f6">pop_back</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00456">456</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a87bfcde773502ee964a677580724188f"></a><!-- doxytag: member="Ogre::HashedVector::push_back" ref="a87bfcde773502ee964a677580724188f" args="(const T &amp;t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a87bfcde773502ee964a677580724188f">push_back</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00449">449</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7bce578eb8c797a17f9cc05a6af40473"></a><!-- doxytag: member="Ogre::HashedVector::rbegin" ref="a7bce578eb8c797a17f9cc05a6af40473" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a96a361e91069936d53fb954b07acf424">reverse_iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a7bce578eb8c797a17f9cc05a6af40473">rbegin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00385">385</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a13bf766dd7f61f12ceaca357365dcf31"></a><!-- doxytag: member="Ogre::HashedVector::rbegin" ref="a13bf766dd7f61f12ceaca357365dcf31" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a89ddf073b6f26e4ef2f035ae134a4792">const_reverse_iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a7bce578eb8c797a17f9cc05a6af40473">rbegin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00392">392</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7c5333085b791e4cdc7dd43f728e9ac7"></a><!-- doxytag: member="Ogre::HashedVector::recalcHash" ref="a7c5333085b791e4cdc7dd43f728e9ac7" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a7c5333085b791e4cdc7dd43f728e9ac7">recalcHash</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00529">Ogre::HashedVector&lt; Light * &gt;::getHash()</a>.</p>

</div>
</div>
<a class="anchor" id="a1ae2dca4d5b82a3c011c81da8f14bcc3"></a><!-- doxytag: member="Ogre::HashedVector::rend" ref="a1ae2dca4d5b82a3c011c81da8f14bcc3" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a96a361e91069936d53fb954b07acf424">reverse_iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a1ae2dca4d5b82a3c011c81da8f14bcc3">rend</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00391">391</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="aefa3397bce39a36255c9a0001935d391"></a><!-- doxytag: member="Ogre::HashedVector::rend" ref="aefa3397bce39a36255c9a0001935d391" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a89ddf073b6f26e4ef2f035ae134a4792">const_reverse_iterator</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a1ae2dca4d5b82a3c011c81da8f14bcc3">rend</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00393">393</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a721948863a05cde23ecb73fdf166e013"></a><!-- doxytag: member="Ogre::HashedVector::reserve" ref="a721948863a05cde23ecb73fdf166e013" args="(size_t t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a721948863a05cde23ecb73fdf166e013">reserve</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00434">434</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac47cb9541d822b017804c828a13d961c"></a><!-- doxytag: member="Ogre::HashedVector::resize" ref="ac47cb9541d822b017804c828a13d961c" args="(size_type n, const T &amp;t=T())" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ac47cb9541d822b017804c828a13d961c">resize</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a>&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>t</em> = <code>T()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00510">510</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a165de914f7e02e22b2e19936a7d9c317"></a><!-- doxytag: member="Ogre::HashedVector::size" ref="a165de914f7e02e22b2e19936a7d9c317" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#af0b04cbf9823c57128855d112f3581e4">size_type</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a165de914f7e02e22b2e19936a7d9c317">size</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00394">394</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00510">Ogre::HashedVector&lt; Light * &gt;::resize()</a>.</p>

</div>
</div>
<a class="anchor" id="a94a96f377cf087f781d1e1ff9b73d2f5"></a><!-- doxytag: member="Ogre::HashedVector::swap" ref="a94a96f377cf087f781d1e1ff9b73d2f5" args="(HashedVector&lt; T &gt; &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a94a96f377cf087f781d1e1ff9b73d2f5">swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HashedVector.html">HashedVector</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00461">461</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ace2667f94bbab8d07d4892628a2e054d"></a><!-- doxytag: member="Ogre::HashedVector::mList" ref="ace2667f94bbab8d07d4892628a2e054d" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HashedVector.html#a424ccf9cdafb55c00df022b9d8460750">VectorImpl</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#ace2667f94bbab8d07d4892628a2e054d">mList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00338">338</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00405">Ogre::HashedVector&lt; Light * &gt;::at()</a>, <a class="el" href="OgreCommon_8h_source.html#l00442">Ogre::HashedVector&lt; Light * &gt;::back()</a>, <a class="el" href="OgreCommon_8h_source.html#l00376">Ogre::HashedVector&lt; Light * &gt;::begin()</a>, <a class="el" href="OgreCommon_8h_source.html#l00396">Ogre::HashedVector&lt; Light * &gt;::capacity()</a>, <a class="el" href="OgreCommon_8h_source.html#l00503">Ogre::HashedVector&lt; Light * &gt;::clear()</a>, <a class="el" href="OgreCommon_8h_source.html#l00397">Ogre::HashedVector&lt; Light * &gt;::empty()</a>, <a class="el" href="OgreCommon_8h_source.html#l00382">Ogre::HashedVector&lt; Light * &gt;::end()</a>, <a class="el" href="OgreCommon_8h_source.html#l00491">Ogre::HashedVector&lt; Light * &gt;::erase()</a>, <a class="el" href="OgreCommon_8h_source.html#l00435">Ogre::HashedVector&lt; Light * &gt;::front()</a>, <a class="el" href="OgreCommon_8h_source.html#l00466">Ogre::HashedVector&lt; Light * &gt;::insert()</a>, <a class="el" href="OgreCommon_8h_source.html#l00395">Ogre::HashedVector&lt; Light * &gt;::max_size()</a>, <a class="el" href="OgreCommon_8h_source.html#l00426">Ogre::HashedVector&lt; Light * &gt;::operator=()</a>, <a class="el" href="OgreCommon_8h_source.html#l00398">Ogre::HashedVector&lt; Light * &gt;::operator[]()</a>, <a class="el" href="OgreCommon_8h_source.html#l00456">Ogre::HashedVector&lt; Light * &gt;::pop_back()</a>, <a class="el" href="OgreCommon_8h_source.html#l00449">Ogre::HashedVector&lt; Light * &gt;::push_back()</a>, <a class="el" href="OgreCommon_8h_source.html#l00385">Ogre::HashedVector&lt; Light * &gt;::rbegin()</a>, <a class="el" href="OgreCommon_8h_source.html#l00346">Ogre::HashedVector&lt; Light * &gt;::recalcHash()</a>, <a class="el" href="OgreCommon_8h_source.html#l00391">Ogre::HashedVector&lt; Light * &gt;::rend()</a>, <a class="el" href="OgreCommon_8h_source.html#l00434">Ogre::HashedVector&lt; Light * &gt;::reserve()</a>, <a class="el" href="OgreCommon_8h_source.html#l00510">Ogre::HashedVector&lt; Light * &gt;::resize()</a>, <a class="el" href="OgreCommon_8h_source.html#l00394">Ogre::HashedVector&lt; Light * &gt;::size()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00461">Ogre::HashedVector&lt; Light * &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="a92d90cc3beef01b845e6e5ce4ac73723"></a><!-- doxytag: member="Ogre::HashedVector::mListHash" ref="a92d90cc3beef01b845e6e5ce4ac73723" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a92d90cc3beef01b845e6e5ce4ac73723">mListHash</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00339">339</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00342">Ogre::HashedVector&lt; Light * &gt;::addToHash()</a>, <a class="el" href="OgreCommon_8h_source.html#l00503">Ogre::HashedVector&lt; Light * &gt;::clear()</a>, <a class="el" href="OgreCommon_8h_source.html#l00529">Ogre::HashedVector&lt; Light * &gt;::getHash()</a>, <a class="el" href="OgreCommon_8h_source.html#l00524">Ogre::HashedVector&lt; Light * &gt;::operator&lt;()</a>, <a class="el" href="OgreCommon_8h_source.html#l00426">Ogre::HashedVector&lt; Light * &gt;::operator=()</a>, <a class="el" href="OgreCommon_8h_source.html#l00521">Ogre::HashedVector&lt; Light * &gt;::operator==()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00346">Ogre::HashedVector&lt; Light * &gt;::recalcHash()</a>.</p>

</div>
</div>
<a class="anchor" id="a5085aaa99d8ced5631a4861c0e95b0a6"></a><!-- doxytag: member="Ogre::HashedVector::mListHashDirty" ref="a5085aaa99d8ced5631a4861c0e95b0a6" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HashedVector.html">Ogre::HashedVector</a>&lt; T &gt;::<a class="el" href="classOgre_1_1HashedVector.html#a5085aaa99d8ced5631a4861c0e95b0a6">mListHashDirty</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00340">340</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00503">Ogre::HashedVector&lt; Light * &gt;::clear()</a>, <a class="el" href="OgreCommon_8h_source.html#l00367">Ogre::HashedVector&lt; Light * &gt;::dirtyHash()</a>, <a class="el" href="OgreCommon_8h_source.html#l00371">Ogre::HashedVector&lt; Light * &gt;::isHashDirty()</a>, <a class="el" href="OgreCommon_8h_source.html#l00426">Ogre::HashedVector&lt; Light * &gt;::operator=()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00346">Ogre::HashedVector&lt; Light * &gt;::recalcHash()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
